| Classes - Annotated - Tree - Functions - Home - Structure

# QChildEvent Class Reference

The QChildEvent class contains event parameters for child object events. More...

`#include <qevent.h>`

Inherits QEvent.

List of all member functions.

## Public Members

- QChildEvent ( Type type, QObject * child )
- QObject* child () const
- bool inserted () const
- bool removed () const

## Detailed Description

The QChildEvent class contains event parameters for child object events.

Child events are sent to objects when children are inserted or removed.

A `ChildRemoved` event is sent immediately, but a `ChildInserted` event is posted (with QApplication::postEvent())

The handler for these events is QObject::childEvent().

## Member Function Documentation

### QChildEvent::QChildEvent ( Type type, QObject * child )

Constructs a child event object.

The type parameter must be either QEvent::ChildInserted or QEvent::ChildRemoved.

### QObject * QChildEvent::child () const

Returns the child widget inserted or removed.

### bool QChildEvent::inserted () const

Returns TRUE if the widget received a new child.

### bool QChildEvent::removed () const

Returns TRUE if the object lost a child.

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2000 Trolltech, all rights reserved.